# Crafted License

Version 1.0, 18 September 2024
Copyright (c) To_Craft Development, https://tocraft.dev

This document explains the conditions, terms, and permissions of the licensed project applying to the licensee.

## 1. Definitions

This section defines the used definitions in this license.

### a) project

"Projects" are references in terms of the result of planned tasks to accomplish a goal. Projects are also publicly
available with or without their source.

### b) library

This license defines a "library" as an interface that does not provide any end-user features. In specific, a library
cannot be used without writing additional code directly or indirectly interacting with the licensed files.

### c) application

"Applications" represent a licensed project that, in contrast to libraries, actively provides end-user features and does
not have to be used in other projects with or without additional code in order to fulfill their purpose.

### d) accessibility

"Accessibility" is used to describe that the end-user must be able to find the accessible object when downloading,
viewing, or using the work of the licensee without more than 3 mouse clicks, in the case of a digital project, or by
directly being linked to it in the project description. In any way, the licensee must ensure the end-user does not have
to pay any amount of money or leak any personal information to reach the project source.
In most cases, this is guaranteed by linking the accessible object in the project meta, the project description, and the
project source.

## 2. Warranty and Liability

With this license, the author of the licensed project clarifies they will not provide any kind of warranty or liability
for the licensed project. Any misuse is the liability of the actor and not the author of this project. By declaring
this, the author also agrees the licensed project is not intended for any kind of illegal or unethical usage.

## 3. Validity

This license only applies to the states of the project containing this license. Any version not containing the same
Crafted License is subject to the corresponding license. However, this license must not be provided for each file or
part of the project. A non-misleading file name in the directory of the project or including this license in the project
description automatically licenses every file and/or part of the project with this license if this file or part isn't
already licensed with another license or other version of Crafted License.

## 4. Private Use

If the licensee does not publish their work using the licensed project or any modification of it, nor shares it with
more than 15 personally known people without any commercial interest, the licensee is free to use the licensed project
in their work without applying the restrictions as defined in Section 5.

## 5. Public Use

Public use is any kind of use that cannot be counted as private use as defined in Section 4.
Public commercial use is not allowed without the approval of the author of the licensed project. Commercial use hereby
means usage explicitly for earning any form of money. Sponsors or advertisements do not count as commercial use if the
end-user is still able to use the work of the licensee without having to evade or attend to sponsoring or advertising.
The licensee must provide their source files, or in the case of coded projects, their source code.
This source files must be accessibly linked.

### a) Forking, Modifying, and Distributing

Every condition as specified in Section 5 applies.
Any work not only using the licensed project but forking and/or modifying it must contain the exact same license as the
original project and must accessibly link the original project and its license.

### b) Using Libraries

Every condition as specified in Section 5 applies.
If the licensed project is a library, the licensee does not have to link the library's license to their work as long as
they only use it without publishing any parts of the licensed project in any form except the releases of the licensee's
work. To ensure this condition in the case of Gradle projects, it's recommended to use Maven Artifacts instead of
uploading any jar library of the licensed project.

### c) Other usage

Every condition as specified in Section 5 applies.
When using a licensed application or other licensed project that cannot be described as a library, the licensee must
accessibly link an official source to the source licensed project and its license, if the license is not already
explicitly linked in the official source.

## 6. Additions

The author reserves themselves the right to explicitly lower conditions for a licensee but does not have to name any
reason not to do so. However, they cannot limit the permissions guaranteed in this license. 